
Redmine - Defect #14511

warning: class variable access from toplevel on Ruby 2.0

2013-07-22 00:17 - Pascal H

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Ruby support Estimated time: 0.00 hour

Target version: 2.3.3   

Resolution: Fixed Affected version: 2.3.2

Description

At each start this error message appears in httpd error_log:

/path/to/redmine/lib/SVG/Graph/Graph.rb:3: warning: class variable access from toplevel

 Version information:

Environment:

  Redmine version                2.3.2.stable

  Ruby version                   2.0.0-p247 (2013-06-27) [x86_64-linux]

  Rails version                  3.2.13

  Environment                    production

  Database adapter               Mysql2

Redmine plugins:

  no plugin installed

 
[root@localhost ~]# httpd -v

Server version: Apache/2.4.4 (Fedora)

Server built:   May 20 2013 09:27:20

 
[root@localhost ~]# passenger -v

Phusion Passenger version 4.0.10

Associated revisions

Revision 12052 - 2013-07-28 13:57 - Jean-Philippe Lang

Fixed: warning: class variable access from toplevel on Ruby 2.0 (#14511).

Revision 12053 - 2013-07-28 14:09 - Jean-Philippe Lang

Merged r12052 from trunk (#14511).

History

#1 - 2013-07-22 05:49 - Toshi MARUYAMA

- Subject changed from class variable access from toplevel to warning: class variable access from toplevel on Ruby 2.0

- Category set to Ruby support

#2 - 2013-07-26 07:55 - Rhiino Rex

I got the same warning.

Is it safe to ignore?

#3 - 2013-07-27 14:18 - Etienne Massip

Rhiino Rex wrote:

I got the same warning.

Is it safe to ignore?

 Yes it is.
#4 - 2013-07-28 14:09 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 2.3.3

- Resolution set to Fixed

Fixed in r12052.
